<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:date="http://exslt.org/dates-and-times"
                xmlns:str="http://exslt.org/strings"
                extension-element-prefixes="str date">
<xsl:output method="xml" version="1.0" />


<xsl:include href="date.format-date.function.xsl" />
<xsl:include href="str.replace.function.xsl" />


<xsl:template match="/">

	<!-- this errors out -->
 	<xsl:value-of select="date:format-date(str:replace('2009-03-23T13:44:00Z', ' ', 'T'), 'HH:mm:ss | dd. MMMM, yy')"/>

	<!-- this works -->
<!--
	<xsl:variable name="foo" select="str:replace('2009-03-23T13:44:00Z', ' ', 'T')"/>
 	<xsl:value-of select="date:format-date($foo, 'HH:mm:ss | dd. MMMM, yy')"/>
-->

</xsl:template>



</xsl:stylesheet>
